<?php

namespace Drupal\laravel_process\Service;

use Illuminate\Process\Factory as ProcessFactory;
use Illuminate\Support\Facades\Process as ProcessFacade;

/**
 * Extend the Laravel process facade.
 */
class Process extends ProcessFacade {

  /**
   * {@inheritdoc}
   */
  public static function __callStatic($method, $args) {
    $instance = static::getFacadeRoot();
    if (!$instance) {
      self::swap(new ProcessFactory());
    }
    return parent::__callStatic($method, $args);
  }

}
